## Apache Zeta Components Manual :: Docs For Class ezcConfigurationValidationItem

### Configuration::ezcConfigurationValidationItem

### Class ezcConfigurationValidationItem

This class provides the result of one error item in the ezcConfigurationValidationResult class.

The reader object will create the item with location and description which is passed to an ezcConfigurationValidationResult object.

Source for this file: /Configuration/src/structs/validation_item.php

    ezcBaseStruct
       |
       --ezcConfigurationValidationItem

Version: | //autogen//

### Constants

`ERROR = 1` | The validation is an error which means the configuration cannot be read, if tried an exception will be thrown.
`WARNING = 2` | The validation is a warning which means the configuration can be read but the configuration has some issues which the user could fix. Will only used when strict validation is enabled.

### Member Variables

public false|string | `$column = false` The column number the error or warning occurred on. If this is false the location is unknown.
public string | `$description = ''` The description of the error or warning which can be shown to the end user. It should not contain the line or column number, instead set the properties.
public string | `$details = ''` Technical description of the error or warning which can be shown to the developer. It should not contain the line or column number, instead set the properties.
public false|string | `$file = false` The name of the file where the error or warning occurred in. If this is false the location is unknown.
public false|string | `$line = false` The line number the error or warning occurred on. If this is false the location is unknown.
public int | `$type = self::ERROR` The type of validation problem, one of the TYPE_ERROR or TYPE_WARNING values.

### Method Summary

public ezcConfigurationValidationItem | `__construct( $type , $file , $line , $column , $description , $details )` Constructs a validation item.

### Methods

#### __construct

ezcConfigurationValidationItem __construct( int $type , string $file , int $line , int $column , string $description , string $details )

Constructs a validation item.

Constructs the validation item with location information and description. Both the line and column numbers are 1 based.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int | The type of item, use either TYPE_ERROR or TYPE_WARNING.
`$file` | string | The filename where the error or warning occured.
`$line` | int | The line number the error or warning occured.
`$column` | int | The column number the error or warning occured.
`$description` | string | The description of the error or warning which can be shown to the end user.
`$details` | string | Technical description of the error or warning which can be shown to the developer.

Documentation generated by phpDocumentor 1.4.3